import { PropType } from 'vue';
import { IOptions } from '../directives';
import { PopoverPropTypes } from '../popover';
import { ISelected, OptionInstanceType } from './type';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    modelValue: import("vue-types").VueTypeValidableDef<any, import("vue-types/dist/shared/vue-types.d8e57a80").b<any>>;
    multiple: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    size: import("vue-types").VueTypeDef<"default" | "small" | "large" | "huge"> & {
        default: "default" | "small" | "large" | "huge";
    };
    clearable: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    loading: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    filterable: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    remoteMethod: import("vue-types").VueTypeValidableDef<(...args: any[]) => any, import("vue-types/dist/shared/vue-types.d8e57a80").b<(...args: any[]) => any>> & {
        default: (...args: any[]) => any;
    };
    scrollHeight: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    minHeight: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    };
    showAll: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    allOptionText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    allOptionId: import("vue-types").VueTypeDef<string | number>;
    showSelectAll: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    popoverMinWidth: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    showOnInit: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    multipleMode: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    tagTheme: import("vue-types").VueTypeDef<"" | "danger" | "success" | "warning" | "info"> & {
        default: "" | "danger" | "success" | "warning" | "info";
    };
    behavior: import("vue-types").VueTypeDef<"normal" | "simplicity"> & {
        default: "normal" | "simplicity";
    };
    collapseTags: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    autoHeight: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    noDataText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    noMatchText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    loadingText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    placeholder: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    searchPlaceholder: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    selectAllText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    scrollLoading: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    allowCreate: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    popoverOptions: PropType<Partial<PopoverPropTypes>>;
    customContent: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    list: import("vue-types").VueTypeDef<any[]> & {
        default: () => any[];
    };
    idKey: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    displayKey: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    withValidate: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    showSelectedIcon: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    inputSearch: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    enableVirtualRender: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    allowEmptyValues: import("vue-types").VueTypeValidableDef<unknown[], import("vue-types/dist/shared/vue-types.d8e57a80").b<unknown[]>> & {
        default: () => unknown[];
    } & {
        default: () => unknown[];
    };
    autoFocus: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    disableFocusBehavior: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    keepSearchValue: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    prefix: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    selectedStyle: import("vue-types").VueTypeDef<"checkbox" | "check"> & {
        default: "checkbox" | "check";
    };
    filterOption: {
        type: FunctionConstructor;
    };
    searchWithPinyin: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    highlightKeyword: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    trigger: {
        type: PropType<"default" | "manual">;
        default: string;
    };
    disableScrollToSelectedOption: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    inputTooltipsOptions: {
        type: PropType<Partial<IOptions>>;
        default: () => {};
    };
}>, {
    t: import("vue").ComputedRef<{
        noData: string;
        noMatchedData: string;
        loading: string;
        pleaseSelect: string;
        enterKeywords: string;
        all: string;
        selectAll: string;
    }>;
    selected: import("vue").Ref<{
        value: string;
        label: number | string;
    }[], ISelected[] | {
        value: string;
        label: number | string;
    }[]>;
    isInput: import("vue").ComputedRef<boolean>;
    options: import("vue").ComputedRef<OptionInstanceType[]>;
    isDisabled: import("vue").ComputedRef<boolean>;
    selectedLabel: import("vue").ComputedRef<any[]>;
    isPopoverShow: import("vue").Ref<boolean, boolean>;
    isHover: import("vue").Ref<boolean, boolean>;
    popperWidth: import("vue").Ref<string | number, string | number>;
    inputRef: import("vue").Ref<HTMLElement, HTMLElement>;
    triggerRef: import("vue").Ref<HTMLElement, HTMLElement>;
    contentRef: import("vue").Ref<HTMLElement, HTMLElement>;
    searchRef: import("vue").Ref<HTMLInputElement, HTMLInputElement>;
    scrollContainerRef: import("vue").Ref<HTMLElement, HTMLElement>;
    selectTagInputRef: import("vue").Ref<import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        selected: {
            type: PropType<ISelected[]>;
            default: () => any[];
        };
        tagTheme: import("vue-types").VueTypeDef<"" | "danger" | "success" | "warning" | "info"> & {
            default: "" | "danger" | "success" | "warning" | "info";
        };
        placeholder: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
            default: string;
        } & {
            default: string;
        };
        filterable: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        allowCreate: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        disabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        modelValue: import("vue-types").VueTypeValidableDef<any, import("vue-types/dist/shared/vue-types.d8e57a80").b<any>>;
        collapseTags: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        behavior: import("vue-types").VueTypeDef<"normal" | "simplicity"> & {
            default: "normal" | "simplicity";
        };
    }>> & Readonly<{
        onKeydown?: (...args: any[]) => any;
        onEnter?: (...args: any[]) => any;
        "onUpdate:modelValue"?: (...args: any[]) => any;
        onRemove?: (...args: any[]) => any;
    }>, {
        collapseTagRef: import("vue").Ref<any, any>;
        tagWrapperRef: import("vue").Ref<any, any>;
        tagsRefs: import("vue").Ref<any[], any[]>;
        select: import("./type").ISelectContext;
        overflowTagIndex: import("vue").Ref<number, number>;
        value: import("vue").Ref<any, any>;
        inputRef: import("vue").Ref<HTMLElement, HTMLElement>;
        overflowContent: import("vue").ComputedRef<string>;
        handleRemoveTag: (val: string) => void;
        focus: () => void;
        blur: () => void;
        updateModelValue: (data: string) => void;
        handleInput: (e: any) => void;
        handleKeydown: (e: any) => void;
        resolveClassName: (cls: string) => string;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("keydown" | "remove" | "enter" | "update:modelValue")[], import("vue").PublicProps, {
        disabled: boolean;
        placeholder: string;
        tagTheme: "" | "danger" | "success" | "warning" | "info";
        behavior: "normal" | "simplicity";
        selected: ISelected[];
        filterable: boolean;
        allowCreate: boolean;
        collapseTags: boolean;
    }, true, {}, {}, import("vue").GlobalComponents, {
        bkTooltips: import("vue").ObjectDirective<any, any, string, any>;
    } & import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        selected: {
            type: PropType<ISelected[]>;
            default: () => any[];
        };
        tagTheme: import("vue-types").VueTypeDef<"" | "danger" | "success" | "warning" | "info"> & {
            default: "" | "danger" | "success" | "warning" | "info";
        };
        placeholder: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
            default: string;
        } & {
            default: string;
        };
        filterable: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        allowCreate: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        disabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        modelValue: import("vue-types").VueTypeValidableDef<any, import("vue-types/dist/shared/vue-types.d8e57a80").b<any>>;
        collapseTags: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        behavior: import("vue-types").VueTypeDef<"normal" | "simplicity"> & {
            default: "normal" | "simplicity";
        };
    }>> & Readonly<{
        onKeydown?: (...args: any[]) => any;
        onEnter?: (...args: any[]) => any;
        "onUpdate:modelValue"?: (...args: any[]) => any;
        onRemove?: (...args: any[]) => any;
    }>, {
        collapseTagRef: import("vue").Ref<any, any>;
        tagWrapperRef: import("vue").Ref<any, any>;
        tagsRefs: import("vue").Ref<any[], any[]>;
        select: import("./type").ISelectContext;
        overflowTagIndex: import("vue").Ref<number, number>;
        value: import("vue").Ref<any, any>;
        inputRef: import("vue").Ref<HTMLElement, HTMLElement>;
        overflowContent: import("vue").ComputedRef<string>;
        handleRemoveTag: (val: string) => void;
        focus: () => void;
        blur: () => void;
        updateModelValue: (data: string) => void;
        handleInput: (e: any) => void;
        handleKeydown: (e: any) => void;
        resolveClassName: (cls: string) => string;
    }, {}, {}, {}, {
        disabled: boolean;
        placeholder: string;
        tagTheme: "" | "danger" | "success" | "warning" | "info";
        behavior: "normal" | "simplicity";
        selected: ISelected[];
        filterable: boolean;
        allowCreate: boolean;
        collapseTags: boolean;
    }>, import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        selected: {
            type: PropType<ISelected[]>;
            default: () => any[];
        };
        tagTheme: import("vue-types").VueTypeDef<"" | "danger" | "success" | "warning" | "info"> & {
            default: "" | "danger" | "success" | "warning" | "info";
        };
        placeholder: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
            default: string;
        } & {
            default: string;
        };
        filterable: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        allowCreate: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        disabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        modelValue: import("vue-types").VueTypeValidableDef<any, import("vue-types/dist/shared/vue-types.d8e57a80").b<any>>;
        collapseTags: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        behavior: import("vue-types").VueTypeDef<"normal" | "simplicity"> & {
            default: "normal" | "simplicity";
        };
    }>> & Readonly<{
        onKeydown?: (...args: any[]) => any;
        onEnter?: (...args: any[]) => any;
        "onUpdate:modelValue"?: (...args: any[]) => any;
        onRemove?: (...args: any[]) => any;
    }>, {
        collapseTagRef: import("vue").Ref<any, any>;
        tagWrapperRef: import("vue").Ref<any, any>;
        tagsRefs: import("vue").Ref<any[], any[]>;
        select: import("./type").ISelectContext;
        overflowTagIndex: import("vue").Ref<number, number>;
        value: import("vue").Ref<any, any>;
        inputRef: import("vue").Ref<HTMLElement, HTMLElement>;
        overflowContent: import("vue").ComputedRef<string>;
        handleRemoveTag: (val: string) => void;
        focus: () => void;
        blur: () => void;
        updateModelValue: (data: string) => void;
        handleInput: (e: any) => void;
        handleKeydown: (e: any) => void;
        resolveClassName: (cls: string) => string;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("keydown" | "remove" | "enter" | "update:modelValue")[], import("vue").PublicProps, {
        disabled: boolean;
        placeholder: string;
        tagTheme: "" | "danger" | "success" | "warning" | "info";
        behavior: "normal" | "simplicity";
        selected: ISelected[];
        filterable: boolean;
        allowCreate: boolean;
        collapseTags: boolean;
    }, true, {}, {}, import("vue").GlobalComponents, {
        bkTooltips: import("vue").ObjectDirective<any, any, string, any>;
    } & import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        selected: {
            type: PropType<ISelected[]>;
            default: () => any[];
        };
        tagTheme: import("vue-types").VueTypeDef<"" | "danger" | "success" | "warning" | "info"> & {
            default: "" | "danger" | "success" | "warning" | "info";
        };
        placeholder: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
            default: string;
        } & {
            default: string;
        };
        filterable: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        allowCreate: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        disabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        modelValue: import("vue-types").VueTypeValidableDef<any, import("vue-types/dist/shared/vue-types.d8e57a80").b<any>>;
        collapseTags: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        behavior: import("vue-types").VueTypeDef<"normal" | "simplicity"> & {
            default: "normal" | "simplicity";
        };
    }>> & Readonly<{
        onKeydown?: (...args: any[]) => any;
        onEnter?: (...args: any[]) => any;
        "onUpdate:modelValue"?: (...args: any[]) => any;
        onRemove?: (...args: any[]) => any;
    }>, {
        collapseTagRef: import("vue").Ref<any, any>;
        tagWrapperRef: import("vue").Ref<any, any>;
        tagsRefs: import("vue").Ref<any[], any[]>;
        select: import("./type").ISelectContext;
        overflowTagIndex: import("vue").Ref<number, number>;
        value: import("vue").Ref<any, any>;
        inputRef: import("vue").Ref<HTMLElement, HTMLElement>;
        overflowContent: import("vue").ComputedRef<string>;
        handleRemoveTag: (val: string) => void;
        focus: () => void;
        blur: () => void;
        updateModelValue: (data: string) => void;
        handleInput: (e: any) => void;
        handleKeydown: (e: any) => void;
        resolveClassName: (cls: string) => string;
    }, {}, {}, {}, {
        disabled: boolean;
        placeholder: string;
        tagTheme: "" | "danger" | "success" | "warning" | "info";
        behavior: "normal" | "simplicity";
        selected: ISelected[];
        filterable: boolean;
        allowCreate: boolean;
        collapseTags: boolean;
    }>>;
    popoverRef: import("vue").Ref<any, any>;
    searchLoading: import("vue").Ref<boolean, boolean>;
    isOptionsEmpty: import("vue").ComputedRef<boolean>;
    isSearchEmpty: import("vue").ComputedRef<boolean>;
    isFocus: import("vue").Ref<boolean, boolean>;
    isShowSelectContent: import("vue").ComputedRef<boolean>;
    curContentText: import("vue").ComputedRef<string>;
    isGroup: import("vue").ComputedRef<boolean>;
    searchValue: import("vue").Ref<string, string>;
    curSearchValue: import("vue").ComputedRef<string>;
    customOptionName: import("vue").Ref<string, string>;
    isShowAll: import("vue").ComputedRef<boolean>;
    isShowSelectAll: import("vue").ComputedRef<boolean>;
    virtualHeight: import("vue").ComputedRef<number>;
    filterList: import("vue").ComputedRef<any[]>;
    isCollapseTags: import("vue").ComputedRef<boolean>;
    popoverConfig: import("vue").ComputedRef<Partial<Readonly<import("vue").ExtractPropTypes<{
        isShow: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        always: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        disabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        clickContentAutoHide: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        width: import("vue-types").VueTypeDef<string | number> & {
            default: string | number;
        };
        height: import("vue-types").VueTypeDef<string | number> & {
            default: string | number;
        };
        maxWidth: import("vue-types").VueTypeDef<string | number> & {
            default: string | number;
        };
        maxHeight: import("vue-types").VueTypeDef<string | number> & {
            default: string | number;
        };
        content: import("vue-types").VueTypeDef<string | number | HTMLElement | JSX.Element> & {
            default: string | number | (() => HTMLElement) | (() => JSX.Element);
        };
        renderDirective: import("vue-types").VueTypeValidableDef<"if" | "show", import("vue-types/dist/shared/vue-types.d8e57a80").b<"if" | "show">> & {
            default: "if" | "show";
        };
        target: import("vue-types").VueTypeDef<string | HTMLElement | PointerEvent>;
        allowHtml: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        placement: import("vue-types").VueTypeValidableDef<"top" | "auto" | "right" | "bottom" | "left" | "top-start" | "top-end" | "right-start" | "right-end" | "bottom-start" | "bottom-end" | "left-start" | "left-end" | "auto-end" | "auto-start", import("vue-types/dist/shared/vue-types.d8e57a80").b<"top" | "auto" | "right" | "bottom" | "left" | "top-start" | "top-end" | "right-start" | "right-end" | "bottom-start" | "bottom-end" | "left-start" | "left-end" | "auto-end" | "auto-start">> & {
            default: "top" | "auto" | "right" | "bottom" | "left" | "top-start" | "top-end" | "right-start" | "right-end" | "bottom-start" | "bottom-end" | "left-start" | "left-end" | "auto-end" | "auto-start";
        };
        theme: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
            default: string;
        } & {
            default: string;
        };
        trigger: import("vue-types").VueTypeValidableDef<"click" | "hover" | "manual", import("vue-types/dist/shared/vue-types.d8e57a80").b<"click" | "hover" | "manual">> & {
            default: "click" | "hover" | "manual";
        };
        renderType: import("vue-types").VueTypeDef<"auto" | "shown"> & {
            default: "auto" | "shown";
        };
        arrow: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        padding: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
            default: number;
        } & {
            default: number;
        };
        offset: import("vue-types").VueTypeDef<number | {
            mainAxis?: number;
            crossAxis?: number;
            alignmentAxis?: null | number;
        }> & {
            default: number | (() => {
                mainAxis?: number;
                crossAxis?: number;
                alignmentAxis?: null | number;
            });
        };
        boundary: import("vue-types").VueTypeDef<any> & {
            default: any;
        };
        zIndex: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
            default: number;
        } & {
            default: number;
        };
        disableTeleport: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        autoPlacement: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        autoVisibility: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        disableOutsideClick: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        disableTransform: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        reference: import("vue-types").VueTypeValidableDef<any, import("vue-types/dist/shared/vue-types.d8e57a80").b<any>>;
        floatingReference: import("vue-types").VueTypeValidableDef<any, import("vue-types/dist/shared/vue-types.d8e57a80").b<any>>;
        modifiers: import("vue-types").VueTypeValidableDef<unknown[], import("vue-types/dist/shared/vue-types.d8e57a80").b<unknown[]>> & {
            default: () => unknown[];
        } & {
            default: () => unknown[];
        };
        popoverDelay: import("vue-types").VueTypeDef<number | number[]> & {
            default: number | (() => number[]);
        };
        extCls: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
            default: string;
        } & {
            default: string;
        };
        referenceCls: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
            default: string;
        } & {
            default: string;
        };
        renderReferenceWrapper: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        hideIgnoreReference: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
        componentEventDelay: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
            default: number;
        } & {
            default: number;
        };
        forceClickoutside: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
            default: boolean;
        };
    }>>>>;
    isAllSelected: import("vue").ComputedRef<boolean>;
    isAll: import("vue").ComputedRef<boolean>;
    displayAllText: import("vue").ComputedRef<string>;
    focusInput: () => void;
    setHover: () => void;
    cancelHover: () => void;
    handleFocus: () => void;
    handleBlur: () => void;
    handleTogglePopover: () => void;
    handleClear: (e: Event) => void;
    hidePopover: () => void;
    showPopover: () => void;
    toggleSelectAll: () => void;
    toggleAll: () => void;
    handleOptionSelected: (option: OptionInstanceType) => void;
    handleClickOutside: ({ event }: {
        event: any;
    }) => void;
    handleScroll: (e: any) => void;
    handleVirtualContentScroll: (args: unknown[]) => void;
    handleDeleteTag: (val: string) => void;
    handleInputChange: (value: any) => void;
    handleSelectedAllOptionMouseEnter: () => void;
    localLoadingText: import("vue").ComputedRef<string>;
    localPlaceholder: import("vue").ComputedRef<string>;
    localSearchPlaceholder: import("vue").ComputedRef<string>;
    localSelectAllText: import("vue").ComputedRef<string>;
    resolveClassName: (cls: string) => string;
    handleCreateCustomOption: (val: number | string, e: KeyboardEvent) => void;
    defaultSearchMethod: (searchValue: string, optionName: string, filterData?: Record<string, any>) => boolean;
    virtualLineHeight: import("vue").Ref<number, number>;
    isEnableVirtualRender: import("vue").ComputedRef<boolean>;
    preloadItemCount: import("vue").ComputedRef<number>;
    virtualRenderRef: import("vue").Ref<any, any>;
    setSelected: (data: Array<object>) => void;
    buildVirtualRows: () => any[];
    groupCollapseState: import("vue").Ref<Map<PropertyKey, boolean> & Omit<Map<PropertyKey, boolean>, keyof Map<any, any>>, Map<PropertyKey, boolean> | (Map<PropertyKey, boolean> & Omit<Map<PropertyKey, boolean>, keyof Map<any, any>>)>;
    getGroupCollapse: (groupKey: PropertyKey, fallback?: boolean) => boolean;
    handleToggleGroupCollapseVirtual: (groupKey: PropertyKey, groupProps: Record<string, any>) => void;
    handleExtensionClick: (e: MouseEvent) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("blur" | "focus" | "select" | "change" | "toggle" | "clear" | "update:modelValue" | "scroll-end" | "tag-remove" | "deselect" | "search-change")[], "blur" | "focus" | "select" | "change" | "toggle" | "clear" | "update:modelValue" | "scroll-end" | "tag-remove" | "deselect" | "search-change", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: import("vue-types").VueTypeValidableDef<any, import("vue-types/dist/shared/vue-types.d8e57a80").b<any>>;
    multiple: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    size: import("vue-types").VueTypeDef<"default" | "small" | "large" | "huge"> & {
        default: "default" | "small" | "large" | "huge";
    };
    clearable: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    loading: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    filterable: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    remoteMethod: import("vue-types").VueTypeValidableDef<(...args: any[]) => any, import("vue-types/dist/shared/vue-types.d8e57a80").b<(...args: any[]) => any>> & {
        default: (...args: any[]) => any;
    };
    scrollHeight: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    minHeight: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    };
    showAll: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    allOptionText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    allOptionId: import("vue-types").VueTypeDef<string | number>;
    showSelectAll: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    popoverMinWidth: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    showOnInit: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    multipleMode: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    tagTheme: import("vue-types").VueTypeDef<"" | "danger" | "success" | "warning" | "info"> & {
        default: "" | "danger" | "success" | "warning" | "info";
    };
    behavior: import("vue-types").VueTypeDef<"normal" | "simplicity"> & {
        default: "normal" | "simplicity";
    };
    collapseTags: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    autoHeight: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    noDataText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    noMatchText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    loadingText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    placeholder: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    searchPlaceholder: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    selectAllText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    scrollLoading: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    allowCreate: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    popoverOptions: PropType<Partial<PopoverPropTypes>>;
    customContent: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    list: import("vue-types").VueTypeDef<any[]> & {
        default: () => any[];
    };
    idKey: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    displayKey: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    } & {
        default: string;
    };
    withValidate: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    showSelectedIcon: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    inputSearch: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    enableVirtualRender: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    allowEmptyValues: import("vue-types").VueTypeValidableDef<unknown[], import("vue-types/dist/shared/vue-types.d8e57a80").b<unknown[]>> & {
        default: () => unknown[];
    } & {
        default: () => unknown[];
    };
    autoFocus: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    disableFocusBehavior: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    keepSearchValue: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    prefix: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    selectedStyle: import("vue-types").VueTypeDef<"checkbox" | "check"> & {
        default: "checkbox" | "check";
    };
    filterOption: {
        type: FunctionConstructor;
    };
    searchWithPinyin: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    highlightKeyword: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    trigger: {
        type: PropType<"default" | "manual">;
        default: string;
    };
    disableScrollToSelectedOption: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    inputTooltipsOptions: {
        type: PropType<Partial<IOptions>>;
        default: () => {};
    };
}>> & Readonly<{
    onBlur?: (...args: any[]) => any;
    onFocus?: (...args: any[]) => any;
    onSelect?: (...args: any[]) => any;
    onChange?: (...args: any[]) => any;
    onToggle?: (...args: any[]) => any;
    onClear?: (...args: any[]) => any;
    "onUpdate:modelValue"?: (...args: any[]) => any;
    "onScroll-end"?: (...args: any[]) => any;
    "onTag-remove"?: (...args: any[]) => any;
    onDeselect?: (...args: any[]) => any;
    "onSearch-change"?: (...args: any[]) => any;
}>, {
    prefix: string;
    size: "default" | "small" | "large" | "huge";
    multiple: boolean;
    disabled: boolean;
    trigger: "default" | "manual";
    scrollHeight: number;
    minHeight: number;
    showOnInit: boolean;
    loading: boolean;
    placeholder: string;
    list: any[];
    tagTheme: "" | "danger" | "success" | "warning" | "info";
    behavior: "normal" | "simplicity";
    selectedStyle: "checkbox" | "check";
    clearable: boolean;
    withValidate: boolean;
    noDataText: string;
    showSelectedIcon: boolean;
    highlightKeyword: boolean;
    filterable: boolean;
    allowCreate: boolean;
    collapseTags: boolean;
    popoverMinWidth: number;
    remoteMethod: (...args: any[]) => any;
    noMatchText: string;
    loadingText: string;
    searchPlaceholder: string;
    selectAllText: string;
    showAll: boolean;
    allOptionText: string;
    showSelectAll: boolean;
    multipleMode: string;
    autoHeight: boolean;
    scrollLoading: boolean;
    customContent: boolean;
    idKey: string;
    displayKey: string;
    inputSearch: boolean;
    enableVirtualRender: boolean;
    allowEmptyValues: unknown[];
    autoFocus: boolean;
    disableFocusBehavior: boolean;
    keepSearchValue: boolean;
    searchWithPinyin: boolean;
    disableScrollToSelectedOption: boolean;
    inputTooltipsOptions: Partial<IOptions>;
}, {}, {}, {
    clickoutside: import("vue").ObjectDirective<any, any, string, any>;
}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
